---
type: api
title: Copy a saved query
description: Create a copy of a saved query with a unique name by appending a `_copy` suffix. If the name already exists, a numeric suffix is added (e.g., `_copy_2`).
url: https://www.elastic.co/elastic/docs-builder/docs/4371/api/doc/kibana/v0/operation/operation-osquerycopysavedquery
resource: https://www.elastic.co/elastic/docs-builder/docs/4371/api/doc/kibana/v0/operation/operation-osquerycopysavedquery
products:
  - Kibana
---

# Copy a saved query

Availability: 9.4+

- Server: `https://{kibana_url}`

## Paths

- `POST` `/api/osquery/saved_queries/{id}/copy`

- [Api key auth](/elastic/docs-builder/docs/4371/api/doc/kibana/v0/authentication#apikeyauth)
- [Basic auth](/elastic/docs-builder/docs/4371/api/doc/kibana/v0/authentication#basicauth)

#### Path Parameters

- `id` (string)
  The ID of the saved query to copy.

## Description

Create a copy of a saved query with a unique name by appending a `_copy` suffix. If the name already exists, a numeric suffix is added (e.g., `_copy_2`).

## Response

Indicates a successful call.

`application/json`

- `data` (object)
  - `created_at` (string)
  - `created_by` (string) — nullable
  - `created_by_profile_uid` (string)
  - `description` (string)
    The saved query description.
  - `ecs_mapping` (object)
    Map osquery results columns or static values to Elastic Common Schema (ECS) fields
  - `id` (string)
    The ID of a saved query.
  - `interval` (integer | string)
  - `platform` (string)
    Restricts the query to a specified platform. The default is all platforms. To specify multiple platforms, use commas. For example, `linux,darwin`.
  - `query` (string)
    The SQL query you want to run.
  - `removed` (boolean)
    Indicates whether the query is removed.
  - `saved_object_id` (string)
  - `snapshot` (boolean)
    Indicates whether the query is a snapshot.
  - `timeout` (integer)
  - `updated_at` (string)
  - `updated_by` (string) — nullable
  - `updated_by_profile_uid` (string)
## Code Examples

#### Console

```console
POST /api/osquery/saved_queries/{id}/copy
```

#### curl

```curl
curl -X POST "https://{kibana_url}/api/osquery/saved_queries/{id}/copy"
```

## Response Examples

#### Example response for copying a saved query

```json
{
  "data": {
    "created_at": "2025-02-26T13:37:30.452Z",
    "created_by": "elastic",
    "description": "Saved query description",
    "ecs_mapping": {
      "host.uptime": {
        "field": "total_seconds"
      }
    },
    "id": "my_saved_query_copy",
    "interval": "60",
    "platform": "linux,darwin",
    "query": "select * from uptime;",
    "removed": false,
    "saved_object_id": "42ba1280-2172-11ee-8523-5765fca79a3c",
    "snapshot": true,
    "timeout": 120,
    "updated_at": "2025-02-26T13:37:30.452Z",
    "updated_by": "elastic"
  }
}
```

